## gkrelltop 2.2.13

=== Makefile ===
--- 
+++ 
@@ -37,13 +37,13 @@
 
 INSTALLDIR ?= $(PREFIX)/$(DESTDIR)
 ifeq ($(INSTALLDIR),)
-	INSTALLDIR=/usr/lib/gkrellm2/plugins
+	INSTALLDIR=/usr/lib/gkrellm2/plugins/
 endif
 
 
 ifeq ($(GKRELL1FLAG),0)
 # Parameters for gkrellm version 2.*
-CFLAGS2 = -D$(OSFLAG) -DGKRELLM2 -fPIC -Wall `pkg-config gtk+-2.0 --cflags`
+CFLAGS2 = -g -D$(OSFLAG) -DGKRELLM2 -fPIC -Wall `pkg-config gtk+-2.0 --cflags`
 LIBS =  
 CC=/usr/bin/gcc $(CFLAGS2)
 
@@ -67,10 +67,12 @@
 ifeq ($(WANT_GLIB12),yes)
 CFLAGSD = -I/usr/X11R6/include -D$(OSFLAG) -fPIC -Wall `glib-config --cflags`
 LIBSD = `glib-config --libs`
+LIBSD = 
 CONFIGURE_ARGS += --with-glib12
 else
 CFLAGSD = -D$(OSFLAG) -fPIC -Wall `pkg-config glib-2.0 --cflags`
 LIBSD = `pkg-config glib-2.0 --libs`
+LIBSD = 
 endif
 INSTALLDIRD ?= $(PREFIXD)/$(DESTDIR)
 ifeq ($(INSTALLDIRD),)
@@ -81,7 +83,6 @@
 
 DUMMY_VAR := $(shell ./configure $(CONFIGURE_ARGS))
 HAVE_GKRELLMD = $(shell grep -c HAVE_GKRELLMD configure.h)
-
 
 ifneq ($(HAVE_GKRELLMD),1)
 WARN = $(warning Note: cannot compile server plugin.  See configure.log.)
@@ -112,20 +113,19 @@
 	$(CC) -c gkrelltop.c -o gkrelltop.o
 
 top_three.o: top_three.c
-	$(CC) -D$(OSFLAG) -c top_three.c -o top_three.o
+	$(CC) -c top_three.c -o top_three.o
 
 gkrelltopd.o: gkrelltopd.c
 	$(CCD) -c gkrelltopd.c -o gkrelltopd.o
 
 install: $(GKRELLTOP)
-	install -c -s -m 644 $(GKRELLTOP) $(INSTALLDIR)
-	install -c -s -m 644 $(GKRELLTOPD) $(INSTALLDIRD)
+	install -c -m 644 $(GKRELLTOP) $(INSTALLDIR)
 
 install-server: $(GKRELLTOPD)
-	install -c -s -m 644 $(GKRELLTOPD) $(INSTALLDIRD)
+	install -c -m 644 $(GKRELLTOPD) $(INSTALLDIRD)
 
-test_top: top_three.o test_top.o
-	$(CC)  -D$(OSFLAG) top_three.o test_top.o -o test_top
+ttest: top_three.o ttest.o 
+	$(CC)  top_three.o ttest.o -o ttest
 
 view: $(GKRELLTOP)
 	gkrellm -p $(GKRELLTOP)
@@ -134,11 +134,15 @@
 	fakeroot debian/rules binary
 
 orig:
-	echo `pwd` | grep 'orig' || (mkdir `pwd`.orig; cp -p Makefile README config.guess config.sub configure gkrelltop.c gkrelltop.h gkrelltopd.c krell_image.xpm support.h test_top.c top_three.c `pwd`.orig/ )
+	echo `pwd` | grep 'orig' || (mkdir `pwd`.orig; cp -p Makefile README config.guess config.sub configure gkrelltop.c gkrelltop.h gkrelltopd.c krell_image.xpm support.h ttest.c top_three.c `pwd`.orig/ )
 
-package:
-	@dpkg-buildpackage -rfakeroot -uc -us
+package: orig
+	#old:
+	#@dpkg-buildpackage -rfakeroot -uc -us
+	#debsign ../gkrelltop*.changes
+	debuild -b && debuild -S
 
 clean: 
-	@rm -f *.o *.so configure.h configure.log test_top
+	@rm -f *.o *.so configure.h configure.log ttest
 
+distclean: clean
