=== debian/changelog ===
gkrelltop (2.2.13-1.3) unstable; urgency=medium

  * Non-maintainer upload.
    Maintainer confirmed team maintenance in any team is fine.
    Closes: #1101018

  [ Andreas Tille ]
  * Move package to Debian team on Salsa
  * Add Homepage
  * Add watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * d/rules: short dh
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * d/control: Add  ${misc:Depends}
  * Propagate hardening options

  [ Helmut Grohne ]
  * Fix FTCBFS: Use cross tools. (Closes: #1095770)

  [ Ville Skyttä ]
  * Fix stderr on init
    Closes: #879813

 -- Andreas Tille <tille@debian.org>  Mon, 24 Mar 2025 17:52:00 +0100

gkrelltop (2.2.13-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/copyright: Convert to machine-readable format.
  * Convert to source format 3.0 (closes: #1007686).
    + Do not explicitly patch the config.* files but use dh_autoreconf.
  * Set Priority: optional instead of obsolete "extra".

 -- Bastian Germann <bage@debian.org>  Thu, 18 Apr 2024 08:54:44 +0200

gkrelltop (2.2.13-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965554)
  * debian/rules: Add build-{arch,indep}. (Closes: #999019)

 -- Adrian Bunk <bunk@debian.org>  Tue, 28 Dec 2021 02:13:39 +0200

gkrelltop (2.2.13-1) unstable; urgency=medium

  * Refactored the top_three code for better performance.
  * Temporarily suspend refresh when mouse over.
  * Correct directory for gkrelltopd install dir (closes: #488736).

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Wed, 23 Jul 2009 23:23:57 -0500

gkrelltop (2.2.12-1) unstable; urgency=medium

  * Add ability to see per process IO activity
  * Handle nostrip build option (closes: #437041).
  * Fix duplication when a single process in list (closes: #421342).
  * Don't depend on libc6-dev (closes: #470761).

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Wed, 8 Jul 2009 23:51:02 -0500

gkrelltop (2.2.11-2) unstable; urgency=low

  * Fix problem with clean not happening for debian build process
  * Fix make clean problem (closes: #442575).

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Fri, 8 Feb 2008 20:52:00 -0500

gkrelltop (2.2.11-1) unstable; urgency=low

  * New upstream version
  * Fix problem with excluded programs not reapearing

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Tue, 25 Dec 2007 23:35:21 -0500

gkrelltop (2.2.10-1) unstable; urgency=low

  * New upstream version
  * Fix floating point exception problem.

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Sat, 21 Jul 2007 01:25:17 -0500

gkrelltop (2.2.9-1.1) unstable; urgency=high

  * Non-maintainer high-urgency upload for RC bug fix.
  * Build shared objects with -fPIC (closes: #425320).

 -- Julien Cristau <jcristau@debian.org>  Wed, 18 Jul 2007 17:37:58 +0200

gkrelltop (2.2.9-1) unstable; urgency=low

  * New upstream version

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Tue, 13 Feb 2007 03:21:22 -0500

gkrelltop (2.2.8-1) unstable; urgency=low

  * Initial Debian release (Closes: #410021)

 -- Adi Zaimi <adizaimi@users.sourceforge.net>  Mon, 6 Feb 2007 01:43:57 -0500
