=== debian/control ===
Source: gkrelltop
Section: x11
Priority: optional
Maintainer: Adi Zaimi <adizaimi@users.sourceforge.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper-compat (= 13),  libgtk2.0-dev, gkrellm, gkrellmd, pkgconf
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/gkrelltop
Vcs-Git: https://salsa.debian.org/debian/gkrelltop.git
Homepage: https://sourceforge.net/projects/gkrelltop/

Package: gkrelltop
Architecture: any
Depends: gkrellm, ${shlibs:Depends}, ${misc:Depends}
Suggests: gkrelltopd
Description: Top three intensive processes plugin for gkrellm
 Plugin for gkrellm that displays the top three cpu
 or memory intensive processes in a small window
 inside gkrellm, similar to wmtop. Useful to check
 out anytime what processes are consuming most cpu
 memory, or IO resources on your machine.

Package: gkrelltopd
Architecture: any
Depends: gkrellmd, ${shlibs:Depends}, ${misc:Depends}
Suggests: gkrelltop
Description: Top three intensive processes plugin for gkrellmd
 Plugin for gkrellmd. This is the server end
 plugin of gkrelltop. Gkrelltop displays the top
 three cpu intensive processes in a small window
 inside gkrellm, similar to wmtop. Useful to check
 out anytime what processes are consuming most cpu
 memory, or IO resources on your machine.
