=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_install:
	# Add here commands to install the package into debian/gkrelltop.
	$(MAKE) PREFIX=$(CURDIR)/debian/gkrelltop  DESTDIR=usr/lib/gkrellm2/plugins install
	$(MAKE) PREFIXD=$(CURDIR)/debian/gkrelltopd DESTDIR=usr/lib/gkrellm2/plugins-gkrellmd install-server
